import { createStore, createStoreRoot, createModelHook } from '@zjxpcyc/react-tiny-store'
import person from './models/person'

const store = createStore()
const models = {
  person,
}

const useModel = createModelHook(store)
const StoreRoot = createStoreRoot(store, models)

export default store
export {
  useModel,
  StoreRoot,
}
